Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232804 - xmoto.6.gz gzipped manpage is invalid
Summary: xmoto.6.gz gzipped manpage is invalid
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xmoto
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-18 03:33 UTC by Kevin Kofler
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 17:44:48 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2007-03-18 03:33:32 UTC
Description of problem:
The manpage xmoto.6.gz is not valid according to gzip. I get the following 
error from makewhatis:
 incomplete literal tree

zcat: /usr/share/man/man6/xmoto.6.gz: invalid compressed data--format violated

Version-Release number of selected component (if applicable):
xmoto-0.2.6-2.fc6

How reproducible:
Always

Steps to Reproduce:
1. zcat /usr/share/man/man6/xmoto.6.gz
  
Actual results:
 incomplete literal tree

zcat: /usr/share/man/man6/xmoto.6.gz: invalid compressed data--format violated

Expected results:
gzip uncompresses the manpage as expected.

Additional info:
I did an rpm -V xmoto to make sure the manpage wasn't corrupted on my end, 
this finds no problems, so I assume the manpage really _is_ broken in the 
package.

Comment 1 Gwyn Ciesla 2007-03-19 14:09:55 UTC
I was actually already aware of this.  This is the case for xmoto and
xmoto-edit, which is in review currently.  It's an upstream problem and I'm
submitting it to them.  Thanks for the added reminder. :)

Comment 2 Gwyn Ciesla 2007-03-19 16:12:01 UTC
I just heard back from upstream, it's fixed in 0.2.7.  I'll build and release ASAP.

Comment 3 Gwyn Ciesla 2007-03-19 17:44:48 UTC
Built for FC-5, 6 and devel.


Note You need to log in before you can comment on or make changes to this bug.